Get a user
curl --request GET \
--url https://api.qonversion.io/v4/users/{user_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.qonversion.io/v4/users/{user_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qonversion.io/v4/users/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.qonversion.io/v4/users/{user_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.qonversion.io/v4/users/{user_id}")
.header("Authorization", "Bearer <token>")
.asString();{
"object": "user",
"id": "QON_3af4c5b8a4d24f21b72e9d0c8aef9d4e",
"url": "/v4/users/QON_3af4c5b8a4d24f21b72e9d0c8aef9d4e",
"environment": "prod",
"created_at": "2025-09-15T12:30:00Z",
"identity_id": "awesome_user"
}{
"error": {
"type": "request",
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "request",
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "request",
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "request",
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "request",
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "request",
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}Users
Get a user
Returns a single user by ID.
GET
/
users
/
{user_id}
Get a user
Authorizations
Bearer authentication using the project Secret Key (prefixed with sk_, or test_sk_ for sandbox). All v4 public endpoints require the Secret Key — see Authentication. Never expose the Secret Key in client-side code.
Path Parameters
Qonversion User ID. SDK-generated IDs are prefixed with QON_.
Response
User details
Available options:
user Qonversion User ID. SDK-generated IDs are prefixed with QON_.
Example:
"QON_3af4c5b8a4d24f21b72e9d0c8aef9d4e"
Canonical API path.
Example:
"/v4/users/QON_3af4c5b8a4d24f21b72e9d0c8aef9d4e"
Environment the user belongs to.
Available options:
prod, sandbox Example:
"prod"
Creation timestamp (ISO 8601 UTC).
Example:
"2025-09-15T12:30:00Z"
External identity identifier, if set. Null when not linked to an identity.
Example:
"awesome_user"